Bug 1313452 - be: Provide a Python 3 subpackage
be: Provide a Python 3 subpackage
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: be (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PYTHON3 PY3PATCH-REQUESTED
  Show dependency treegraph
 
Reported: 2016-03-01 10:52 EST by Tomas Orsava
Modified: 2017-02-22 11:59 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-22 11:59:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Orsava 2016-03-01 10:52:11 EST
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Comment 1 Fedora Admin XMLRPC Client 2016-05-19 15:48:36 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Dominika Krejčí 2016-06-08 05:14:11 EDT
Hello Till,

Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.org/en/latest/index.html
Comment 3 Till Maas 2016-06-14 16:00:03 EDT
Hey Dominika, any help is welcome. I just adopted be to prevent it from being retired, because I want to look into using it eventually. I do not yet know, if I will keep maintaining it. Therefore if you are using it and would be willing to maintain it, I will happily give it to you :-)

I also did not have time to look into the python3 support, yet.
Comment 4 Jan Kurik 2016-07-26 00:51:32 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 5 Lumír Balhar 2016-08-23 04:53:25 EDT
This package has 'bzr' as build require but 'bzr' is not ported to Py3 yet.
Comment 6 Fedora Admin XMLRPC Client 2016-09-02 01:34:32 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Charalampos Stratakis 2017-02-22 11:59:23 EST
The package has been retired.

Note You need to log in before you can comment on or make changes to this bug.